Decora wifi no longer working

Leviton Decora Wifi has become problematic and I am out of ideas. After 12 to 24 hours of running, all Decora devices are not responsive and I get the message below. A restart fixes it for another 12 to 24 hours.

Log Details (WARNING)

Logger: homeassistant.components.light
Source: helpers/entity_platform.py:536
Integration: Light (documentation, issues)
First occurred: 4:36:40 (1777 occurrences)
Last logged: 20:12:43

Updating decora_wifi light took longer than the scheduled update interval 0:00:30

I have DW15P-1BW and DW15A-1RW wifi plus and also DW6HD-1BW and DW15S switches and dimmers. They all work fine from the Leviton mobile app and from the my leviton webpage.

I have completely replaced Home assistant including a clean install and complete rebuild of all configuration from scratch. The only common element is the error and my guess is that Leviton cloud is not playing nice.

I am totally stumped and looking for suggestions.

I am experiencing the same issue. Leviton app is working fine but all sorts of issues when operating from HA. I wonder of the integration needs some care and feeding.

Have now replaced router and moved from a Pi 3 to a Pi 4 with no improvement. This means it is definitely not hardware.

An email to Leviton came back with a response asking me what “Home Assistant” was. I replied and explained (and provided links). No response yet…

I’ve noticed this too ever since I upgraded the firmware.

I contacted Leviton support and they added me to the Beta program which makes new beta firmware available. This new beta firmware has reduced network timeouts of the switches, but has not changed their periods of unresponsiveness.

I can replicate the behaviour with the Leviton app on my Android tablet. Sometimes, toggling a switch state does nothing, and I can toggle it on/off multiple times without anything happening. Then, all of a sudden, the switch starts responding again, stays responsive for a long while.

It almost definitely appears linked to the switches themselves.

Did you find any resolution to this? I am having the same issue and seems like this started after the firmware upgrade.

I am on firmware version 1.4.32

Unfortunately, Leviton support was completely indifferent on the matter saying that this would the a problem with the api and not something at Leviton’s end. They also wondered why I would be using a third party hub (duh…). I have heard rumblings since that other cloud systems are also choosing to become less ‘open’ and pulling people in to their proprietary web.

The final solution was leveraging Boxing Day at Amazon and converting everything to zwave. This has been a total success with no need to rely on a vendor’s cloud back end and has proven to be way more responsive and reliable. Now using a mix of Leviton, Zooz and Inovelli zwave switches, dimmers and receptacles. The Leviton zwave products work very well so i will forgive them. zwave is also not on the (congested) wifi band so again more responsive.

Lesson learned is: Choose zwave over wifi and then build as much of a closed system as you can. That way you are not relying on anyone else or on cloud services and, basic automations will work even without Internet.

I was so afraid of this…crap…I have spent so much money on this…14 x $50 USD a pop…if only I knew this was going to be an issue down the line.

Yes, about the same amount of pain here too.

I added the Aeotec zwave stick and replaced a couple items first. That was enough to convince me to switch over.

I might be worth your time to open a ticket with Leviton now. They may have done something about it by now.

So when it goes, this is what I get in the logger.

2020-12-31 18:18:05 WARNING (MainThread) [homeassistant.components.light] Updating decora_wifi light took longer than the scheduled update interval 0:00:30
2020-12-31 18:18:35 WARNING (MainThread) [homeassistant.components.light] Updating decora_wifi light took longer than the scheduled update interval 0:00:30
2020-12-31 18:19:05 WARNING (MainThread) [homeassistant.components.light] Updating decora_wifi light took longer than the scheduled update interval 0:00:30
2020-12-31 18:19:35 WARNING (MainThread) [homeassistant.components.light] Updating decora_wifi light took longer than the scheduled update interval 0:00:30
2020-12-31 18:20:05 WARNING (MainThread) [homeassistant.components.light] Updating decora_wifi light took longer than the scheduled update interval 0:00:30
2020-12-31 18:20:35 WARNING (MainThread) [homeassistant.components.light] Updating decora_wifi light took longer than the scheduled update interval 0:00:30
2020-12-31 18:21:06 WARNING (MainThread) [homeassistant.components.light] Updating decora_wifi light took longer than the scheduled update interval 0:00:30
2020-12-31 18:21:36 WARNING (MainThread) [homeassistant.components.light] Updating decora_wifi light took longer than the scheduled update interval 0:00:30
2020-12-31 18:22:06 WARNING (MainThread) [homeassistant.components.light] Updating decora_wifi light took longer than the scheduled update interval 0:00:30
2020-12-31 18:22:36 WARNING (MainThread) [homeassistant.components.light] Updating decora_wifi light took longer than the scheduled update interval 0:00:30
2020-12-31 18:23:06 WARNING (MainThread) [homeassistant.components.light] Updating decora_wifi light took longer than the scheduled update interval 0:00:30
2020-12-31 18:23:36 WARNING (MainThread) [homeassistant.components.light] Updating decora_wifi light took longer than the scheduled update interval 0:00:30
2020-12-31 18:24:06 WARNING (MainThread) [homeassistant.components.light] Updating decora_wifi light took longer than the scheduled update interval 0:00:30
2020-12-31 18:24:36 WARNING (MainThread) [homeassistant.components.light] Updating decora_wifi light took longer than the scheduled update interval 0:00:30
2020-12-31 18:25:06 WARNING (MainThread) [homeassistant.components.light] Updating decora_wifi light took longer than the scheduled update interval 0:00:30
2020-12-31 18:25:36 WARNING (MainThread) [homeassistant.components.light] Updating decora_wifi light took longer than the scheduled update interval 0:00:30
2020-12-31 18:26:06 WARNING (MainThread) [homeassistant.components.light] Updating decora_wifi light took longer than the scheduled update interval 0:00:30
2020-12-31 18:26:36 WARNING (MainThread) [homeassistant.components.light] Updating decora_wifi light took longer than the scheduled update interval 0:00:30
2020-12-31 18:27:06 WARNING (MainThread) [homeassistant.components.light] Updating decora_wifi light took longer than the scheduled update interval 0:00:30
2020-12-31 18:27:36 WARNING (MainThread) [homeassistant.components.light] Updating decora_wifi light took longer than the scheduled update interval 0:00:30
2020-12-31 18:28:06 WARNING (MainThread) [homeassistant.components.light] Updating decora_wifi light took longer than the scheduled update interval 0:00:30
2020-12-31 18:28:36 WARNING (MainThread) [homeassistant.components.light] Updating decora_wifi light took longer than the scheduled update interval 0:00:30
2020-12-31 18:29:06 WARNING (MainThread) [homeassistant.components.light] Updating decora_wifi light took longer than the scheduled update interval 0:00:30
2020-12-31 18:29:36 WARNING (MainThread) [homeassistant.components.light] Updating decora_wifi light took longer than the scheduled update interval 0:00:30
2020-12-31 18:30:06 WARNING (MainThread) [homeassistant.components.light] Updating decora_wifi light took longer than the scheduled update interval 0:00:30
2020-12-31 18:30:36 WARNING (MainThread) [homeassistant.components.light] Updating decora_wifi light took longer than the scheduled update interval 0:00:30
2020-12-31 18:31:06 WARNING (MainThread) [homeassistant.components.light] Updating decora_wifi light took longer than the scheduled update interval 0:00:30
2020-12-31 18:31:36 WARNING (MainThread) [homeassistant.components.light] Updating decora_wifi light took longer than the scheduled update interval 0:00:30
2020-12-31 18:32:06 WARNING (MainThread) [homeassistant.components.light] Updating decora_wifi light took longer than the scheduled update interval 0:00:30
2020-12-31 18:32:36 WARNING (MainThread) [homeassistant.components.light] Updating decora_wifi light took longer than the scheduled update interval 0:00:30
2020-12-31 18:33:06 WARNING (MainThread) [homeassistant.components.light] Updating decora_wifi light took longer than the scheduled update interval 0:00:30
2020-12-31 18:33:36 WARNING (MainThread) [homeassistant.components.light] Updating decora_wifi light took longer than the scheduled update interval 0:00:30
2020-12-31 18:34:06 WARNING (MainThread) [homeassistant.components.light] Updating decora_wifi light took longer than the scheduled update interval 0:00:30
2020-12-31 18:34:36 WARNING (MainThread) [homeassistant.components.light] Updating decora_wifi light took longer than the scheduled update interval 0:00:30
2020-12-31 18:35:06 WARNING (MainThread) [homeassistant.components.light] Updating decora_wifi light took longer than the scheduled update interval 0:00:30
2020-12-31 18:35:36 WARNING (MainThread) [homeassistant.components.light] Updating decora_wifi light took longer than the scheduled update interval 0:00:30
2020-12-31 18:36:06 WARNING (MainThread) [homeassistant.components.light] Updating decora_wifi light took longer than the scheduled update interval 0:00:30
2020-12-31 18:36:36 WARNING (MainThread) [homeassistant.components.light] Updating decora_wifi light took longer than the scheduled update interval 0:00:30
2020-12-31 18:37:06 WARNING (MainThread) [homeassistant.components.light] Updating decora_wifi light took longer than the scheduled update interval 0:00:30
2020-12-31 18:37:36 WARNING (MainThread) [homeassistant.components.light] Updating decora_wifi light took longer than the scheduled update interval 0:00:30
2020-12-31 18:38:06 WARNING (MainThread) [homeassistant.components.light] Updating decora_wifi light took longer than the scheduled update interval 0:00:30
2020-12-31 18:38:36 WARNING (MainThread) [homeassistant.components.light] Updating decora_wifi light took longer than the scheduled update interval 0:00:30
2020-12-31 18:39:06 WARNING (MainThread) [homeassistant.components.light] Updating decora_wifi light took longer than the scheduled update interval 0:00:30
2020-12-31 18:39:36 WARNING (MainThread) [homeassistant.components.light] Updating decora_wifi light took longer than the scheduled update interval 0:00:30
2020-12-31 18:40:06 WARNING (MainThread) [homeassistant.components.light] Updating decora_wifi light took longer than the scheduled update interval 0:00:30
2020-12-31 18:40:36 WARNING (MainThread) [homeassistant.components.light] Updating decora_wifi light took longer than the scheduled update interval 0:00:30
2020-12-31 18:41:06 WARNING (MainThread) [homeassistant.components.light] Updating decora_wifi light took longer than the scheduled update interval 0:00:30
2020-12-31 18:41:36 WARNING (MainThread) [homeassistant.components.light] Updating decora_wifi light took longer than the scheduled update interval 0:00:30
2020-12-31 18:42:06 WARNING (MainThread) [homeassistant.components.light] Updating decora_wifi light took longer than the scheduled update interval 0:00:30

Yup, that is the behavior. Restarting HA will fix it but it will only last a few hours or perhaps a day or two.

Problems started after the last firmware update from Leviton earlier in the year. I happily updated all switches and it all went south after that. It was subtle at first but it got worse over a few weeks.

When it happens, you will find that you can still control things from the Leviton mobile app just fine but HA is unresponsive or really slow to respond (tens of seconds).

At first, I suspected my network and WiFi. I went from a Pi 3 to a Pi4. I rebuilt my HA instance from scratch. I replaced my router and access points. In the end, I had eliminated every single possibility of hardware or software from the equation.

Leviton only said that it must be a problem with the integration and that their end was fine.

I am going to open an issue in github for HA as I don’t see one addressing it. Do you know if there is a way to restart an integration without restarting HA? I was wondering if I could set a restart in node red when there is this warning.

Created an issue here: https://github.com/home-assistant/core/issues/44734

It looks like people are working on this. Reload integrations indiviudally

wow!! thank you very much!! this would solve some issues across the system. I voted.

I read through all the links. Still can’t figure out if this is coming or already implemented…Github threads confuse me.

I did not try this at the time but it looks like you can reload from Configuration, Integrations, more menu, reload. That would be a good test. To see if that helps.

Not sure if others can verify where the request is in terms of doing it programmatically.

I’m also having this same issue. Has anyone had any movement on it?

Logger: homeassistant.helpers.entity
Source: components/decora_wifi/light.py:143
First occurred: April 17, 2021, 9:21:21 AM (1 occurrences)
Last logged: April 17, 2021, 9:21:21 AM

Update for light.office_light fails
Traceback (most recent call last):
  File "/usr/local/lib/python3.8/site-packages/urllib3/connectionpool.py", line 699, in urlopen
    httplib_response = self._make_request(
  File "/usr/local/lib/python3.8/site-packages/urllib3/connectionpool.py", line 445, in _make_request
    six.raise_from(e, None)
  File "<string>", line 3, in raise_from
  File "/usr/local/lib/python3.8/site-packages/urllib3/connectionpool.py", line 440, in _make_request
    httplib_response = conn.getresponse()
  File "/usr/local/lib/python3.8/http/client.py", line 1347, in getresponse
    response.begin()
  File "/usr/local/lib/python3.8/http/client.py", line 307, in begin
    version, status, reason = self._read_status()
  File "/usr/local/lib/python3.8/http/client.py", line 276, in _read_status
    raise RemoteDisconnected("Remote end closed connection without"
http.client.RemoteDisconnected: Remote end closed connection without response

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/local/lib/python3.8/site-packages/requests/adapters.py", line 439, in send
    resp = conn.urlopen(
  File "/usr/local/lib/python3.8/site-packages/urllib3/connectionpool.py", line 755, in urlopen
    retries = retries.increment(
  File "/usr/local/lib/python3.8/site-packages/urllib3/util/retry.py", line 532, in increment
    raise six.reraise(type(error), error, _stacktrace)
  File "/usr/local/lib/python3.8/site-packages/urllib3/packages/six.py", line 734, in reraise
    raise value.with_traceback(tb)
  File "/usr/local/lib/python3.8/site-packages/urllib3/connectionpool.py", line 699, in urlopen
    httplib_response = self._make_request(
  File "/usr/local/lib/python3.8/site-packages/urllib3/connectionpool.py", line 445, in _make_request
    six.raise_from(e, None)
  File "<string>", line 3, in raise_from
  File "/usr/local/lib/python3.8/site-packages/urllib3/connectionpool.py", line 440, in _make_request
    httplib_response = conn.getresponse()
  File "/usr/local/lib/python3.8/http/client.py", line 1347, in getresponse
    response.begin()
  File "/usr/local/lib/python3.8/http/client.py", line 307, in begin
    version, status, reason = self._read_status()
  File "/usr/local/lib/python3.8/http/client.py", line 276, in _read_status
    raise RemoteDisconnected("Remote end closed connection without"
urllib3.exceptions.ProtocolError: ('Connection aborted.', RemoteDisconnected('Remote end closed connection without response'))

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/src/homeassistant/homeassistant/helpers/entity.py", line 292, in async_update_ha_state
    await self.async_device_update()
  File "/usr/src/homeassistant/homeassistant/helpers/entity.py", line 498, in async_device_update
    await task
  File "/usr/local/lib/python3.8/concurrent/futures/thread.py", line 57, in run
    result = self.fn(*self.args, **self.kwargs)
  File "/usr/src/homeassistant/homeassistant/components/decora_wifi/light.py", line 143, in update
    self._switch.refresh()
  File "/usr/local/lib/python3.8/site-packages/decora_wifi/models/iot_switch.py", line 87, in refresh
    result = self._session.call_api(api, {}, 'get')
  File "/usr/local/lib/python3.8/site-packages/decora_wifi/__init__.py", line 48, in call_api
    response = getattr(self._session, method)(uri, data=payload_json)
  File "/usr/local/lib/python3.8/site-packages/requests/sessions.py", line 555, in get
    return self.request('GET', url, **kwargs)
  File "/usr/local/lib/python3.8/site-packages/requests/sessions.py", line 542, in request
    resp = self.send(prep, **send_kwargs)
  File "/usr/local/lib/python3.8/site-packages/requests/sessions.py", line 655, in send
    r = adapter.send(request, **kwargs)
  File "/usr/local/lib/python3.8/site-packages/requests/adapters.py", line 498, in send
    raise ConnectionError(err, request=request)
requests.exceptions.ConnectionError: ('Connection aborted.', RemoteDisconnected('Remote end closed connection without response'))